org.apache.commons.math3.ode

## Class MultistepIntegrator.NordsieckInitializer

- java.lang.Object
- - org.apache.commons.math3.ode.MultistepIntegrator.NordsieckInitializer

- All Implemented Interfaces:
    StepHandler
  Enclosing class:
    MultistepIntegrator

      private class MultistepIntegrator.NordsieckInitializer
      extends Object
      implements StepHandler

  Specialized step handler storing the first step.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `count` Steps counter.
    `private double[]` | `t` First steps times.
    `private double[][]` | `y` First steps states.
    `private double[][]` | `yDot` First steps derivatives.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultistepIntegrator.NordsieckInitializer(int nSteps, int n)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleStep(StepInterpolator interpolator, boolean isLast)` Handle the last accepted step
    `void` | `init(double t0, double[] y0, double time)` Initialize step handler at the start of an ODE integration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          private int count

      Steps counter.

    - #### t

          private final double[] t

      First steps times.

    - #### y

          private final double[][] y

      First steps states.

    - #### yDot

          private final double[][] yDot

      First steps derivatives.

  - ### Constructor Detail

    - #### MultistepIntegrator.NordsieckInitializer

          public MultistepIntegrator.NordsieckInitializer(int nSteps,
                                                  int n)

      Simple constructor.
      Parameters:
        `nSteps` - number of steps of the multistep method (excluding the one being computed)
        `n` - problem dimension

  - ### Method Detail

    - #### handleStep

          public void handleStep(StepInterpolator interpolator,
                        boolean isLast)
                          throws MaxCountExceededException

      Handle the last accepted step
      Specified by:
        `handleStep` in interface `StepHandler`
      Parameters:
        `interpolator` - interpolator for the last accepted step. For efficiency purposes, the various integrators reuse the same object on each call, so if the instance wants to keep it across all calls (for example to provide at the end of the integration a continuous model valid throughout the integration range, as the `ContinuousOutputModel` class does), it should build a local copy using the clone method of the interpolator and store this copy. Keeping only a reference to the interpolator and reusing it will result in unpredictable behavior (potentially crashing the application).
        `isLast` - true if the step is the last one
      Throws:
        `MaxCountExceededException` - if the interpolator throws one because the number of functions evaluations is exceeded

    - #### init

          public void init(double t0,
                  double[] y0,
                  double time)

      Initialize step handler at the start of an ODE integration.

      This method is called once at the start of the integration. It may be used by the step handler to initialize some internal data if needed.

      Specified by:
        `init` in interface `StepHandler`
      Parameters:
        `t0` - start value of the independent time variable
        `y0` - array containing the start value of the state vector
        `time` - target time for the integration

Copyright (c) 2003-2013 Apache Software Foundation